the Junkyard: Starsiege Requirements

supporters
 
Starsiege Series Tribes Series Halo Series
Starsiege Requirements
You will need the latest patch (v.1.004) in order to play Starsiege on public servers. It is available on our files page, make sure you download the correct patch!

System Requirements (Minimum):
Pentium 166, 32 Mb RAM with 3d Graphics Card
Pentium 200, 32 Mb RAM without 3d Graphics Card
160MB Hard Drive space

Platforms:
Windows 95/98 with DirectX 6
Windows NT 4.0 with Service Pack 4
Windows 2000
Windows Millenium

Hardware Requirements:
4x CD-ROM or Higher
LAN Card or Minimum 28.8 K modem

2D Graphics Card Support:
DirectDraw compatible card (minimum SVGA 640x480 @ 256 colors)

3D Graphics Card Support:
3Dfx Glide or OpenGL compatible 3D Graphics card (recommended)

Sound Support:
DirectSound or DirectSound3D compatible sound card

Peripheral Support:
Mouse, Keyboard, or any DirectInput compatible device

Network Support:
Internet, TCP/IP, IPX
Powered by Sitekore